using IRaCIS.Core.Domain.Share;

namespace IRaCIS.Core.Domain.Models;

[Comment("系统阅片标准")]
[Table("ReadingQuestionCriterionSystem")]
public class ReadingQuestionCriterionSystem : BaseAddAuditEntity
{
    #region 导航属性
    [JsonIgnore]
    public List<ReadingQuestionSystem> ReadingQuestionSystemList { get; set; } = new List<ReadingQuestionSystem>();
    #endregion
    [Comment("标准")]
    public string CriterionName { get; set; } = string.Empty;

    [Comment("是否启用")]
    public bool IsEnable { get; set; }

    [Comment("排序")]
    public int ShowOrder { get; set; }

    [Comment("是否完成配置")]
    public bool IsCompleteConfig { get; set; }
    [Comment("确认时间")]
    public DateTime ConfirmTime { get; set; }

    [Comment("描述")]
    public string Description { get; set; } = string.Empty;
    [Comment("标准类型")]
    public CriterionType CriterionType { get; set; }

    /// <summary>
    /// 标准分组
    /// </summary>
    public CriterionGroup CriterionGroup { get; set; }

    [Comment("肿瘤学阅片")]
    public bool IsOncologyReading { get; set; } = false;

    [Comment("eCRF报告是否显示在图像页面")]
    public bool IseCRFShowInDicomReading { get; set; } = false;

    [Comment("是否必须全局阅片")]
    public bool IsMustGlobalReading { get; set; } = false;
}
